Listar Produtos da loja
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/public/search/products/ \
--header 'Content-Type: application/json' \
--data '
{
"context": "search",
"q": "smartphone",
"slug": "eletronicos",
"min": 100,
"max": 500,
"brand_id": [
1,
2,
3
],
"category_id": [
10,
12
],
"filter_id": [
5,
6
]
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/public/search/products/"
payload = {
"context": "search",
"q": "smartphone",
"slug": "eletronicos",
"min": 100,
"max": 500,
"brand_id": [1, 2, 3],
"category_id": [10, 12],
"filter_id": [5, 6]
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
context: 'search',
q: 'smartphone',
slug: 'eletronicos',
min: 100,
max: 500,
brand_id: [1, 2, 3],
category_id: [10, 12],
filter_id: [5, 6]
})
};
fetch('https://api.dooki.com.br/v2/{alias}/public/search/products/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": [
{}
],
"data": [
{
"id": 30405927,
"sku_id": 205264039,
"gift_value": 0,
"simple": true,
"has_variations": false,
"is_digital": false,
"warranty": 0,
"custom_shipping": false,
"shipping_price": 0,
"name": "Camisa JAO",
"slug": "camisa-jao",
"sku": "TPHNCWXYW",
"blocked_sale": false,
"rating": 0,
"total_approved_reviews": 0,
"url": "https://www.yampiwoocommerce.com/camisa-jao/p",
"url_path": "/camisa-jao/p",
"use_different_images": null,
"brand": {
"id": 14542735,
"name": "aefaefaefaef",
"logo_url": null
},
"images": {
"url": "https://images.yampi.me/assets/stores/minhalojateste/uploads/images/camisa-jao-6618280300ca4-large.jpg"
},
"prices": {
"currency": "R$",
"price_cost": 0,
"price_cost_formated": "R$ 0,00",
"price": 0,
"price_formated": "R$ 0,00",
"base_amount": "0",
"fraction_amount": "00",
"price_sale": 0,
"price_sale_formated": "R$ 0,00",
"price_discount": 0,
"price_discount_formated": "R$ 0,00",
"has_promotion": false,
"percent_discount": 0,
"billet": {
"price": 0,
"price_formated": "R$ 0,00",
"base_amount": "0",
"fraction_amount": "00",
"discount_value": 0,
"discount_percent": "0.00",
"discount_text": "R$ 0,00 à vista com 0.00% de desconto"
},
"pix": {
"price": 0,
"price_formatted": "R$ 0,00",
"base_amount": "0",
"fraction_amount": "00",
"discount_value": 0,
"discount_percent": "0.00",
"discount_text": "R$ 0,00 à vista com 0.00% de desconto"
},
"installments": {
"max_installment": 6,
"max_installment_value": 0,
"amount": 0,
"text": "6x de R$ 0,00 com juros",
"text_with_tax": "6x de R$ 0,00",
"text_discount_percent": null,
"text_discount": null
}
},
"flags": {
"data": [
{}
]
}
}
]
}Busca
Listar Produtos da loja
Retorna as informações públicas de produtos de uma loja
GET
/
{alias}
/
public
/
search
/
products
/
Listar Produtos da loja
Path Parameters
Alias da loja
Body
application/json
Parâmetros para listagem de produtos com base no contexto e filtros.
Contexto da listagem: 'search' para busca por palavra-chave, 'category' para filtrar por categoria, 'collection' para coleção, 'promotion' para promoções.
Available options:
search, category, collection, promotion Example:
"search"
Palavra-chave para busca. Obrigatório quando 'context' = 'search'.
Example:
"smartphone"
Identificador slug de categoria, coleção ou promoção. Obrigatório quando 'context' != 'search'.
Example:
"eletronicos"
Preço mínimo para filtro.
Required range:
x >= 0Example:
100
Preço máximo para filtro.
Required range:
x >= 0Example:
500
IDs das marcas dos produtos.
Example:
[1, 2, 3]
IDs das categorias dos produtos.
Example:
[10, 12]
IDs dos filtros dos produtos.
Example:
[5, 6]
Was this page helpful?
⌘I